
<?php
require('fpdf/fpdf.php');

$rib = $_POST['rib'] ?? 'RIB inconnu';
$name = $_POST['name'] ?? 'Client';

class PDF extends FPDF {
    function Header() {
        $this->SetFont('Arial','B',16);
        $this->Cell(0,10,'Releve d'Identite Bancaire (RIB)',0,1,'C');
        $this->Ln(10);
    }
    function Footer() {
        $this->SetY(-15);
        $this->SetFont('Arial','I',8);
        $this->Cell(0,10,'Document genere automatiquement',0,0,'C');
    }
}

$pdf = new PDF();
$pdf->AddPage();
$pdf->SetFont('Arial','',12);
$pdf->Cell(0,10,'Nom du client : ' . $name,0,1);
$pdf->Cell(0,10,'RIB : ' . $rib,0,1);
$pdf->Cell(0,10,'Date : ' . date('d/m/Y'),0,1);
$pdf->Output();
?>
