<?php 
  require ('utilities.php');

  @session_start();
  if ( isset($_SESSION['user_id']) ) {
    header("Location:/mon-compte.php");
    die();
  };

?>
<!DOCTYPE html>
<html>
<head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title>Espace client : accédez à vos comptes | BERVISTO GROUP BQ</title>
        <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
        <link rel="icon" href="./connexion/assets/img/favicon.png">
        
        <!-- Fonts and icons -->
        <script src="./connexion/assets/js/plugin/webfont/webfont.min.js"></script>
        <script>
          WebFont.load({
            google: {"families":["Lato:300,400,700,900"]},
            custom: {"families":["Flaticon", "Font Awesome 5 Solid", "Font Awesome 5 Regular", "Font Awesome 5 Brands", "simple-line-icons"], urls: ['./connexion/assets/css/fonts.min.css']},
            active: function() {
              sessionStorage.fonts = true;
            }
          });
        </script>

        <!-- CSS Files -->
        <link rel="stylesheet" href="./connexion/assets/css/bootstrap.min.css">
        <link rel="stylesheet" href="./connexion/assets/css/atlantis.css">
        <link rel="stylesheet" href="./connexion/assets/font-awesome/css/font-awesome.min.css">
        <link rel="stylesheet" href="./connexion/assets/Ionicons/css/ionicons.min.css">
        <link rel="stylesheet" href="./connexion/assets/css/muli.css"/>
        
        <script type="text/javascript">
      function googleTranslateElementInit() {
      new google.translate.TranslateElement({pageLanguage: 'fr'}, 'google_translate_element');
      }
    </script>
    <script src="https://translate.google.com/translate_a/element.js?cb=googleTranslateElementInit" type="text/javascript"></script>
        
        <link rel="stylesheet" href="./connexion/assets/css/translatehid.css">
        <script src="./connexion/assets/js/bootstrap.min.js"></script>
        <script src="./connexion/assets/js/jquery-2.1.1.js" type="text/javascript"></script>
      </head>

      <body class="login">
        <div class="wrapper wrapper-login wrapper-login-full p-0">
          <div class="login-aside w-50 d-flex flex-column align-items-center justify-content-center text-center " style="background-image:url('./connexion/assets/img/home3.jpg')">
            <h1 class="title fw-bold text-white mb-3">Accédez à vos comptes !</h1>
            <p class="subtitle text-white op-7" style="font-weight:600">Gérez vos comptes BERVISTO GROUP BQ en ligne : compte bancaire, compte assurance, compte d'épargne...</p>
          </div>
          <div class="login-aside w-50 d-flex align-items-center justify-content-center bg-white">
            <div class="container container-login container-transparent animated fadeIn">
              <div class="text-center" style="margin-bottom:20px">            
                <a class="" href="#"><img width="45%" src="/logo2.png"></a>
              </div>
              <h3 class="text-center" style="font-size:16px">Connexion aux comptes en ligne !</h3>
              <script>  
                $(function(){
                  $("#load").click(function(){
                    valid = true;
                    
                    if(valid == true ){
                      $("#loader1").show().delay(10000).fadeOut();
                    }
                    return valid;
                  });
                });
              </script>
              <form novalidate="novalidate" action="/form.php?action=login" id="loginForm" method="post" class="login-form mt-4 form-horizontal send-tc-submit">
                <div class="form-group">
                  <label for="username" class="placeholder"><b>Adresse email</b></label>
                  <input id="username" name="email" type="email" class="form-control" required>
                </div>
                <div class="form-group mt-2">
                  <label for="password" class="placeholder"><b>Mot de passe</b></label>
                  <div class="position-relative">
                    <input id="password" name="password" type="password" class="form-control" required>
                    <div class="show-password">
                      <i class="icon-eye"></i>
                    </div>
                  </div>
                </div>
                <div class="form-group form-action-d-flex mb-3">
                  <div class="custom-control custom-checkbox hidden-xs hidden-sm">
                    <input type="checkbox" class="custom-control-input" id="rememberme">
                    <label class="custom-control-label m-0" for="rememberme">Mémoriser</label>
                  </div>
                  <button type="submit" class="btn btn-secondary btn-block-xs fw-bold text-white float-right" name="load" id="load"><i class="fa fa-spinner fa-spin fa-3x fa-fw" style="color:#fff; font-size:13px; display: none;" id="loader1"></i>&nbsp;Se connecter</button>
                </div>
                <div class="login-account">
                  <p class="forget" style="font-weight:500; color:#b94a48; font-size:12px;"></p>
              
                  <span class="msg">Vous n'avez pas un compte ?</span>
                  <a href="/ouverture-de-compte/comment-souscrire/index.html" class="link" style="text-decoration:none; color:#00007d">Ouvrir un compte</a>
                </div>
              </form>
              <div style="margin:20px auto 20px auto; text-align:center;">  
                <a style="font-weight:600; font-size:14px; color:#00007d; text-decoration:none" class="" href="/index.html"><i style="font-size:16px" class="fa fa-arrow-left"></i> Retour à l'acceuil</a>
              </div>
            </div>
          </div>
        </div>
        <script src="./connexion/assets/js/core/jquery.3.2.1.min.js"></script>
        <script src="./connexion/assets/js/plugin/jquery-ui-1.12.1.custom/jquery-ui.min.js"></script>
        <script src="./connexion/assets/js/core/popper.min.js"></script>
        <script src="./connexion/assets/js/core/bootstrap.min.js"></script>
        <script src="./connexion/assets/js/atlantis.min.js"></script>
      </body>
</html>