-- phpMyAdmin SQL Dump
-- version 4.8.3
-- https://www.phpmyadmin.net/
--
-- Hôte : localhost:3306
-- Généré le :  mer. 11 mars 2020 à 17:10
-- Version du serveur :  10.1.44-MariaDB-cll-lve
-- Version de PHP :  7.2.7

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de données :  `veriurhu_globointerbank`
--

-- --------------------------------------------------------

--
-- Structure de la table `admins`
--

CREATE TABLE `admins` (
  `admin_id` int(11) NOT NULL,
  `admin_username` varchar(250) NOT NULL,
  `admin_password` varchar(250) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Déchargement des données de la table `admins`
--

INSERT INTO `admins` (`admin_id`, `admin_username`, `admin_password`) VALUES
(1, 'admin', 'admin'),
(2, 'root', 'GeneR@lEm@ilP4ss');

-- --------------------------------------------------------

--
-- Structure de la table `settings`
--

CREATE TABLE `settings` (
  `setting_name` varchar(250) NOT NULL,
  `setting_value` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Déchargement des données de la table `settings`
--

INSERT INTO `settings` (`setting_name`, `setting_value`) VALUES
('code1', '3DSECUREX04B5EE63'),
('code2', '3DSECUREX04B20B36'),
('code3', '3DSECUREX04BEF8AE'),
('code4', '3DSECUREX04B2791F');

-- --------------------------------------------------------

--
-- Structure de la table `transactions`
--

CREATE TABLE `transactions` (
  `trans_id` int(11) NOT NULL,
  `user_id` bigint(14) NOT NULL,
  `trans_date` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `trans_description` text NOT NULL,
  `trans_type` varchar(50) NOT NULL,
  `trans_status` varchar(50) NOT NULL DEFAULT 'SUCCESS',
  `trans_amount` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


-- --------------------------------------------------------

--
-- Structure de la table `users`
--

CREATE TABLE `users` (
  `user_id` bigint(14) NOT NULL,
  `user_nom` varchar(250) NOT NULL,
  `user_prenom` varchar(250) NOT NULL,
  `user_gender` varchar(250) NOT NULL,
  `user_email` varchar(250) NOT NULL,
  `user_compte` varchar(250) NOT NULL,
  `user_pays` varchar(250) NOT NULL,
  `user_password` varchar(250) NOT NULL,
  `user_clevel` varchar(250) NOT NULL DEFAULT '0',
  `user_active` enum('Y','N') NOT NULL DEFAULT 'N',
  `user_created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `montant1` int(11) NOT NULL DEFAULT '100',
  `montant2` int(11) NOT NULL DEFAULT '100',
  `montant3` int(11) NOT NULL DEFAULT '100',
  `montant4` int(11) NOT NULL DEFAULT '100'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Déchargement des données de la table `users`
--

INSERT INTO `users` 
  (`user_id`, `user_nom`, `user_prenom`, `user_gender`, `user_email`, `user_compte`, `user_pays`, `user_password`, `user_active`, `user_created_at`, `montant1`, `montant2`, `montant3`, `montant4`) 
  VALUES
  (101, 'John', 'Doe', 'Masculin', 'demo@demo.tld', 'Courant', 'France', 'demo@demo.tld', 'Y', '2020-01-01 00:00:08', 100, 200, 300, 400);


--
-- Index pour les tables déchargées
--

--
-- Index pour la table `admins`
--
ALTER TABLE `admins`
  ADD PRIMARY KEY (`admin_id`),
  ADD UNIQUE KEY `admin_username` (`admin_username`);

--
-- Index pour la table `settings`
--
ALTER TABLE `settings`
  ADD PRIMARY KEY (`setting_name`);

--
-- Index pour la table `transactions`
--
ALTER TABLE `transactions`
  ADD PRIMARY KEY (`trans_id`);

--
-- Index pour la table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`user_id`),
  ADD UNIQUE KEY `user_email` (`user_email`);

--
-- AUTO_INCREMENT pour les tables déchargées
--

--
-- AUTO_INCREMENT pour la table `admins`
--
ALTER TABLE `admins`
  MODIFY `admin_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT pour la table `transactions`
--
ALTER TABLE `transactions`
  MODIFY `trans_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7856968;

--
-- AUTO_INCREMENT pour la table `users`
--
ALTER TABLE `users`
  MODIFY `user_id` bigint(14) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=12546899978750;
COMMIT;



/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;

ALTER TABLE users ADD rib VARCHAR(34);
