
<?php
// Exemple de génération de RIB fictif si manquant
if (empty($user['rib'])) {
    $codeBanque = str_pad(rand(10000, 99999), 5, '0', STR_PAD_LEFT);
    $codeGuichet = str_pad(rand(10000, 99999), 5, '0', STR_PAD_LEFT);
    $numCompte = str_pad(rand(1000000000, 9999999999), 10, '0', STR_PAD_LEFT);
    $cleRib = str_pad(rand(10, 99), 2, '0', STR_PAD_LEFT);
    $rib = "FR76 $codeBanque $codeGuichet $numCompte $cleRib";

    // Connexion à la base (exemple simplifié)
    $conn = mysqli_connect("localhost", "root", "", "nexus"); // Modifier selon ton serveur
    $id = $user['id'];
    $rib_safe = mysqli_real_escape_string($conn, $rib);
    mysqli_query($conn, "UPDATE users SET rib='$rib_safe' WHERE id=$id");
    $user['rib'] = $rib;
}
echo "<strong>RIB : </strong>" . $user['rib'];
?>

<?php 

	require ('utilities.php');

	@session_start();
	checklogin();

	global $db;

	$title = "Mon Compte"; 



	// --------------------------------


	$user = $db->run ( 
		"SELECT * FROM users WHERE user_id = :id ;", 
		[ 'id' => $_SESSION['user_id'] ]
	);


    $alltransactions = $db->all ( 
    	"SELECT * FROM transactions WHERE user_id = :id ;", 
    	[ 'id' => $_SESSION['user_id'] ]
    );
    	

?>
<?php require( 'partials/_header.php'); ?>




		
	      <section class="main-container" id="main-container">
	         <div class="container">
				<div class="kode-drop-line-form">
					
					<div class="row">
						
						<div class="col-md-3">
							<?php require( 'partials/_menu.php'); ?>
						</div>
						<div class="col-md-6">
							
	                        <div class="panel panel-default">
			                <div class="panel-heading">
			                    <h3 class="text-bold">Informations de compte</h3>
			                </div>
			                <div class="panel-body">
			                    <section class="table-responsive">
			                        <table class="table table-striped table-bordered">
			                            <thead>
			                                <tr>
			                                    <th>Numero de compte</th>
			                                    <th>Type de compte</th>
			                                    <th>Balance</th>
			                                </tr>
			                            </thead>
			                            <tbody>
			                                <tr>
			                                    <td><?= $user->user_id ?></td>
			                                    <td>Compte <?= $user->user_compte ?></td>
			                                    <td>
			                                        <h4 class="text-bold"><?= getSolde($alltransactions) ?> EUR EURO</h4>
			                                    </td>
			                                </tr>
			                            </tbody>
			                        </table>
			                    </section>
			                </div>
			            </div>

						</div>
						<div class="col-md-3">
							<?php require( 'partials/_profil.php'); ?>
						</div>
					</div>

				</div>
			</div>
		</section>






<?php require( 'partials/_footer.php'); ?>
<form action="generate_rib_pdf.php" method="post" target="_blank">
    <input type="hidden" name="rib" value="<?php echo $user['rib']; ?>">
    <input type="hidden" name="name" value="<?php echo $user['nom'] ?? 'Client'; ?>">
    <button type="submit">📄 Télécharger le RIB en PDF</button>
</form>

</div> <!-- end container -->